Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606023 - chinese quotation mark can't be inputted in pair
chinese quotation mark can't be inputted in pair
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virtaal (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dwayne Bailey
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 21:06 EDT by chenhuan.gt
Modified: 2011-06-27 14:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chenhuan.gt 2010-06-19 21:06:02 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.9.2.3) Gecko/20100403 Fedora/3.6.3-4.fc13 Firefox/3.6.3

When I use any chinese input method, e.g. pingyin, to input chinese quotation mark "“”",it doesn't appear in pair, ““, the right quotation mark is difficult to be typed.

Reproducible: Always
Comment 1 Dwayne Bailey 2010-06-21 06:57:49 EDT
Is this an issue that only affects Virtaal?  Or does it affect any GTK+ based application?  Could you test by trying the same thing in gedit.
Comment 2 chenhuan.gt 2010-06-21 08:26:04 EDT
It only affects Virtaal, I've tried in gedit, it's ok.
Comment 3 Dwayne Bailey 2010-07-14 04:58:24 EDT
(In reply to comment #2)
> It only affects Virtaal, I've tried in gedit, it's ok.    

Could you tell us how to replicate this exactly?

1) What input method to setup
2) How to type the characters that produce the issue
3) What you think should happen and what does happen.

If we can replicate then we can more easily solve the problem.
Comment 4 chenhuan.gt 2010-07-14 06:49:44 EDT
1) Ibus-1.3.8-1.fc13 is installed.
2) Type: “”“”“”“”
3)Happen: ““, the same; Should Happen: “”,the left one's tail is up, the right one is down. You can set the target font as "AR PL UMing CN Light" to see the difference.
Comment 5 chenhuan.gt 2010-07-14 07:08:23 EDT
1) Ibus-pinyin-1.3.8-1.fc13 is installed.
2) Add chinese-pinyin input method, set target font as "AR PL UMing CN" in Virtaal preference dialog, and type quotation mark using chinse-pinyin.
3) Happen: ““, both are left; 
Should Happen: “”,the left one's tail is up, the right
one's is down.
Comment 6 Bug Zapper 2011-06-02 06:14:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 14:36:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.